namespace UniversalNetFrame451.IO;


public interface ITcpClient : IFilter, IDisposable
{
    bool Initiallize(string name);

    bool Open(string remoteHost, ushort remotePort, out TcpConnection tcpConnection, string localHost = null, ushort localPort = 0, bool noDelay = false, int timeout = 1000, int receiveBufferSize = 4096);
    bool Close();
}

public interface ITcpServer : IFilter, IDisposable
{
    bool Initialize(string name);

    bool Open(string ip, ushort port, bool noDelay = true, int receiveBufferSize = 4096);
    bool Close();
}